## ros-one-pr2-arm-kinematics 1.0.11-4jammy.20251023.1616

=== CMakeLists.txt ===
# Catkin User Guide: http://www.ros.org/doc/groovy/api/catkin/html/user_guide/user_guide.html
# Catkin CMake Standard: http://www.ros.org/doc/groovy/api/catkin/html/user_guide/standards.html
cmake_minimum_required(VERSION 3.10.2)
project(pr2_arm_kinematics)

find_package(Boost REQUIRED thread)
find_package(catkin REQUIRED COMPONENTS roscpp angles tf_conversions urdf geometry_msgs kdl_parser moveit_msgs moveit_core pluginlib cmake_modules)
find_package(Eigen3 REQUIRED)


include_directories(include ${catkin_INCLUDE_DIRS})
list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
include_directories(${EIGEN_INCLUDE_DIRS})
include_directories(${Boost_INCLUDE_DIRS})

catkin_package(
    DEPENDS EIGEN3
    CATKIN_DEPENDS roscpp angles tf_conversions urdf geometry_msgs kdl_parser moveit_msgs pluginlib moveit_kinematics
    INCLUDE_DIRS include
    LIBRARIES pr2_arm_kinematics_lib
)

add_library(pr2_arm_kinematics_lib
  src/pr2_arm_ik.cpp
  src/pr2_arm_ik_solver.cpp
  src/pr2_arm_kinematics_utils.cpp
  src/pr2_arm_kinematics.cpp
  src/pr2_arm_kinematics_plugin.cpp
)

add_executable(pr2_arm_kinematics_node src/main.cpp)
target_link_libraries(pr2_arm_kinematics_node pr2_arm_kinematics_lib ${catkin_LIBRARIES})
target_link_libraries(pr2_arm_kinematics_lib ${catkin_LIBRARIES})

install(FILES test_pr2_arm_ik.xml test_pr2_arm_ik_node.xml kinematics_plugins.xml
DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
  PATTERN ".svn" EXCLUDE)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  PATTERN ".svn" EXCLUDE
)

install(TARGETS pr2_arm_kinematics_lib
ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(TARGETS pr2_arm_kinematics_node
ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== debian/changelog ===
ros-one-pr2-arm-kinematics (1.0.11-4jammy.20251023.1616) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Thu, 23 Oct 2025 16:16:34 +0000

ros-one-pr2-arm-kinematics (1.0.11-0jammy) jammy; urgency=high

  * Merge pull request #13 <https://github.com/PR2/pr2_kinematics/issues/13> from k-okada/fix_plugin
  * fix kinematics_plugin settings
  * Contributors: Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sat, 08 May 2021 00:00:00 -0000

ros-one-pr2-arm-kinematics (1.0.10-0jammy) jammy; urgency=high

  * Merge pull request #12 from PR2/add_travis
    add travis.yml and fix for melodic
  * fix for kdl v1.4.0 (melodic), c.f. https://github.com/ros-planning/moveit/pull/906
  * Contributors: Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Thu, 30 Aug 2018 00:00:00 -0000

ros-one-pr2-arm-kinematics (1.0.9-0jammy) jammy; urgency=high

  * Merge pull request #10 <https://github.com/pr2/pr2_kinematics/issues/10> from k-okada/use_pose
    PoseMsgToKDL is deperecated use poseMsgToKDL
  * Merge pull request #9 <https://github.com/pr2/pr2_kinematics/issues/9> from k-okada/remove_get_solver_info2
    remove GetKinematicsSolverInfo, whcih is deprecated in kinetic
  * Merge pull request #8 <https://github.com/pr2/pr2_kinematics/issues/8> from k-okada/add_c11
    add c++11 option for error: ‘shared_ptr’ in namespace ‘std’ does not …
  * Merge pull request #7 <https://github.com/pr2/pr2_kinematics/issues/7> from k-okada/orp
    change maintainer to ROS orphaned package maintainer
  * change maintainer to ROS orphaned package maintainer
  * PoseMsgToKDL is deperecated use poseMsgToKDL
  * remove GetKinematicsSolverInfo, whcih is deprecated in kinetic https://github.com/ros-planning/moveit_msgs/issues/3
  * add c++11 option for error: ‘shared_ptr’ in namespace ‘std’ does not name a template type typedef std::shared_ptr<Type> Name##Ptr; error
  * Contributors: Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Wed, 14 Feb 2018 00:00:00 -0000

ros-one-pr2-arm-kinematics (1.0.7-0jammy) jammy; urgency=high

  * Fix pr2_arm_kinematics for indigo by adding cmake_modules
  * Add dependency to cmake_modules to solve Eigen depdency on indigo
  * Contributors: Ryohei Ueda

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 10 Feb 2015 00:00:00 -0000

ros-one-pr2-arm-kinematics (1.0.6-0jammy) jammy; urgency=high

  * Removed mainpage.dox
  * Removed mainpage.dox
  * Contributors: TheDash, dash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Fri, 21 Nov 2014 00:00:00 -0000

ros-one-pr2-arm-kinematics (1.0.5-0jammy) jammy; urgency=high

  * Added install target for pr2_kinematics_node to archive and lib dests
  * Contributors: TheDash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 18 Nov 2014 00:00:00 -0000

ros-one-pr2-arm-kinematics (1.0.4-0jammy) jammy; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 11 Nov 2014 00:00:00 -0000

ros-one-pr2-arm-kinematics (1.0.2-0jammy) jammy; urgency=high

  * Removed dependency on kinematics_base, replaced with moveit functionality
  * Contributors: TheDash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sun, 07 Sep 2014 00:00:00 -0000

## ros-one-pr2-arm-kinematics 1.0.11-4jammy.20251208.0916

=== debian/changelog ===
ros-one-pr2-arm-kinematics (1.0.11-4jammy.20251208.0916) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 08 Dec 2025 09:16:07 +0000

## ros-one-pr2-arm-kinematics 1.0.11-4jammy.20260128.2236

=== debian/changelog ===
ros-one-pr2-arm-kinematics (1.0.11-4jammy.20260128.2236) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Wed, 28 Jan 2026 22:36:50 +0000

## ros-one-pr2-arm-kinematics 1.0.11-4jammy.20260301.2229

=== debian/changelog ===
ros-one-pr2-arm-kinematics (1.0.11-4jammy.20260301.2229) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sun, 01 Mar 2026 22:29:43 +0000

## ros-one-pr2-arm-kinematics 1.0.11-4noble.20251023.1654

=== debian/changelog ===
ros-one-pr2-arm-kinematics (1.0.11-4noble.20251023.1654) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Thu, 23 Oct 2025 16:54:03 +0000

ros-one-pr2-arm-kinematics (1.0.11-0noble) noble; urgency=high

  * Merge pull request #13 <https://github.com/PR2/pr2_kinematics/issues/13> from k-okada/fix_plugin
  * fix kinematics_plugin settings
  * Contributors: Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sat, 08 May 2021 00:00:00 -0000

ros-one-pr2-arm-kinematics (1.0.10-0noble) noble; urgency=high

  * Merge pull request #12 from PR2/add_travis
    add travis.yml and fix for melodic
  * fix for kdl v1.4.0 (melodic), c.f. https://github.com/ros-planning/moveit/pull/906
  * Contributors: Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Thu, 30 Aug 2018 00:00:00 -0000

ros-one-pr2-arm-kinematics (1.0.9-0noble) noble; urgency=high

  * Merge pull request #10 <https://github.com/pr2/pr2_kinematics/issues/10> from k-okada/use_pose
    PoseMsgToKDL is deperecated use poseMsgToKDL
  * Merge pull request #9 <https://github.com/pr2/pr2_kinematics/issues/9> from k-okada/remove_get_solver_info2
    remove GetKinematicsSolverInfo, whcih is deprecated in kinetic
  * Merge pull request #8 <https://github.com/pr2/pr2_kinematics/issues/8> from k-okada/add_c11
    add c++11 option for error: ‘shared_ptr’ in namespace ‘std’ does not …
  * Merge pull request #7 <https://github.com/pr2/pr2_kinematics/issues/7> from k-okada/orp
    change maintainer to ROS orphaned package maintainer
  * change maintainer to ROS orphaned package maintainer
  * PoseMsgToKDL is deperecated use poseMsgToKDL
  * remove GetKinematicsSolverInfo, whcih is deprecated in kinetic https://github.com/ros-planning/moveit_msgs/issues/3
  * add c++11 option for error: ‘shared_ptr’ in namespace ‘std’ does not name a template type typedef std::shared_ptr<Type> Name##Ptr; error
  * Contributors: Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Wed, 14 Feb 2018 00:00:00 -0000

ros-one-pr2-arm-kinematics (1.0.7-0noble) noble; urgency=high

  * Fix pr2_arm_kinematics for indigo by adding cmake_modules
  * Add dependency to cmake_modules to solve Eigen depdency on indigo
  * Contributors: Ryohei Ueda

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 10 Feb 2015 00:00:00 -0000

ros-one-pr2-arm-kinematics (1.0.6-0noble) noble; urgency=high

  * Removed mainpage.dox
  * Removed mainpage.dox
  * Contributors: TheDash, dash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Fri, 21 Nov 2014 00:00:00 -0000

ros-one-pr2-arm-kinematics (1.0.5-0noble) noble; urgency=high

  * Added install target for pr2_kinematics_node to archive and lib dests
  * Contributors: TheDash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 18 Nov 2014 00:00:00 -0000

ros-one-pr2-arm-kinematics (1.0.4-0noble) noble; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 11 Nov 2014 00:00:00 -0000

ros-one-pr2-arm-kinematics (1.0.2-0noble) noble; urgency=high

  * Removed dependency on kinematics_base, replaced with moveit functionality
  * Contributors: TheDash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sun, 07 Sep 2014 00:00:00 -0000

=== debian/control ===
Source: ros-one-pr2-arm-kinematics
Section: misc
Priority: optional
Maintainer: ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), ros-one-angles, ros-one-catkin, ros-one-cmake-modules, ros-one-geometry-msgs, ros-one-kdl-parser, ros-one-moveit-kinematics, ros-one-moveit-msgs, ros-one-pluginlib, ros-one-roscpp, ros-one-tf-conversions, ros-one-urdf
Homepage: http://ros.org/wiki/pr2_arm_kinematics
Standards-Version: 3.9.2

Package: ros-one-pr2-arm-kinematics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-angles, ros-one-geometry-msgs, ros-one-kdl-parser, ros-one-moveit-kinematics, ros-one-moveit-msgs, ros-one-pluginlib, ros-one-roscpp, ros-one-tf-conversions, ros-one-urdf
Description: This package provides a kinematics implementation for the PR2 robot.
 It can be used to compute forward and inverse kinematics.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-pr2-arm-kinematics//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-pr2-arm-kinematics 1.0.11-4noble.20251208.1551

=== debian/changelog ===
ros-one-pr2-arm-kinematics (1.0.11-4noble.20251208.1551) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 08 Dec 2025 15:51:55 +0000

## ros-one-pr2-arm-kinematics 1.0.11-4noble.20260128.2250

=== debian/changelog ===
ros-one-pr2-arm-kinematics (1.0.11-4noble.20260128.2250) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Wed, 28 Jan 2026 22:50:36 +0000

## ros-one-pr2-arm-kinematics 1.0.11-4noble.20260301.2224

=== debian/changelog ===
ros-one-pr2-arm-kinematics (1.0.11-4noble.20260301.2224) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sun, 01 Mar 2026 22:24:08 +0000
